=== icons-kde3/CMakeLists.txt ===
install( FILES
    Crystal/22x22/actions/attach.png
    Crystal/48x48/filesystems/blockdevice.png
    Crystal/48x48/filesystems/exec.png
    Crystal/48x48/mimetypes/source.png

    nuvola/32x32/actions/pencil.png

    DESTINATION ${DATA_INSTALL_DIR}/ktechlab/pics
    )
