=== examples/555/CMakeLists.txt ===
install(FILES
	internals.circuit
	square-wave.circuit
	DESTINATION ${DATA_INSTALL_DIR}/ktechlab/examples/555)
