=== examples/basic/CMakeLists.txt ===
install(FILES  
	2-way-switch.circuit
	3-way-switch.circuit
	capacitor.circuit
	lrc.circuit resistors-parallel.circuit
	resistors-series.circuit
	voltage-divider.circuit
	DESTINATION ${DATA_INSTALL_DIR}/ktechlab/examples/basic)
