=== examples/diodes/CMakeLists.txt ===
install(FILES
	full-wave-rectifier.circuit
	half-wave-rectifier.circuit
	DESTINATION ${DATA_INSTALL_DIR}/ktechlab/examples/diodes)
