=== examples/jfets/CMakeLists.txt ===
install(FILES
	inverter.circuit
	DESTINATION ${DATA_INSTALL_DIR}/ktechlab/examples/jfets)
