=== examples/matrix_disp_driver/CMakeLists.txt ===
install(FILES
	matrix_display.circuit
	DESTINATION ${DATA_INSTALL_DIR}/ktechlab/examples/matrix_disp_driver)
