=== examples/opamps/CMakeLists.txt ===
install(FILES
	decoupler.circuit
	inverting-amplifier.circuit
	noninverting-amplifier.circuit
	instrumentation-amplifier.circuit
	DESTINATION ${DATA_INSTALL_DIR}/ktechlab/examples/opamps)
