=== debian/changelog ===
ktechlab (0.50.0-2) unstable; urgency=medium

  * Suggest gputils, picprog, and sdcc, as they can be used by default.
  * Backport upstream commit a24dc9737462662390c9b0f37ce66774283df69c to fix
    lifetime of intermediate temporary files; patch
    upstream_process-chain-keep-temporary-files-live-longer.patch.
  * Backport upstream commit e303b80756770069526ef16e0a81d343c2e9ca13 to fix
    the selection of files as properties; patch
    upstream_Fix-selecting-files-as-properties.patch.
  * Update copyright.
  * Backport upstream commit f3a754ddcbc8a086ca48920bd33e96082cef699c to not
    build a test-only static libraries when testing is disabled; patch
    upstream_cmake-build-test_ktechlab-only-if-testing-is-enabled.patch.
  * Disable the build of testing stuff, as there are no unit tests available:
    - pass -DBUILD_TESTING=OFF to cmake
    - add an empty override for dh_auto_test

 -- Pino Toscano <pino@debian.org>  Mon, 02 Nov 2020 13:27:35 +0100

ktechlab (0.50.0-1) unstable; urgency=medium

  * Re-add back to Debian.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Oct 2020 12:11:07 +0100
