=== debian/control ===
Source: ktechlab
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               pkg-kde-tools (>= 0.15.16),
               gettext,
               pkg-config,
               extra-cmake-modules,
               qtbase5-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5khtml-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5solid-dev,
               libkf5texteditor-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libglib2.0-dev,
               gpsim-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/ktechlab
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktechlab.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktechlab

Package: ktechlab
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: gputils,
          picprog,
          sdcc,
Description: IDE for microcontrollers and electronics
 KTechLab is an IDE for microcontrollers and electronics.
 .
 It supports circuit simulation, program development for microcontrollers and
 simulating the programmed microcontroller together with its application
 circuit.
