## ktechlab 0.51.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,19 +5,33 @@
 #set( KTECHLAB_DEVELOPER_BUILD "true" )
 
 project( ktechlab )
-set( VERSION 0.50.0 )
+set( VERSION 0.51.0 )
 
 # set(CMAKE_DEBUG_TARGET_PROPERTIES INCLUDE_DIRECTORIES)
 
-find_package(ECM 0.0.11 CONFIG REQUIRED)
+find_package(ECM 5.14.0 CONFIG REQUIRED)
+
+# At least C++14 is required for qOverload MACRO
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat OPTIONAL RESULT_VARIABLE KDEClangFormat_FOUND)
+include(ECMSetupVersion)
+include(ECMQtDeclareLoggingCategory)
 
 include(ECMInstallIcons)
 include(FeatureSummary)
+
+ecm_setup_version(
+    "${VERSION}"
+    VARIABLE_PREFIX KTECHLAB
+    VERSION_HEADER ktechlab_version.h
+)
 
 if(BUILD_TESTING)
     set(QT_ADDITIONAL_COMPONENTS Test)
@@ -27,21 +41,22 @@
     DBus
     Widgets
     PrintSupport
+    SerialPort
     ${QT_ADDITIONAL_COMPONENTS}
     )
 
 find_package(KF5 REQUIRED COMPONENTS
+    Completion
     Config
+    ConfigWidgets
     CoreAddons
     DocTools
     IconThemes
     I18n
-    KHtml
     KIO
     Parts
     TextEditor
     TextWidgets
-    Solid
     WidgetsAddons
     WindowSystem
     XmlGui
@@ -53,10 +68,9 @@
 #    macro_pop_required_vars() -> cmake_pop_check_state()
 find_package(GPSim)
 
-add_definitions(-Wno-deprecated-declarations) # TODO too much spam for now
 add_definitions(-fPIC)
 add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0 # even 0x050000 would be too high for now
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050000 # TODO target some reasonable version
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000 # to enable warnings for API since the disabled limit
 #     -DQT_USE_QSTRINGBUILDER # TODO
 #     -DQT_NO_CAST_TO_ASCII # TODO
@@ -113,7 +127,6 @@
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
-set( SRC_EXAMPLES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/examples/ )
 set( SRC_TESTS_DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tests/data/ )
 
 CONFIGURE_FILE( ${CMAKE_SOURCE_DIR}/config.h.cmake
@@ -146,10 +159,15 @@
     add_subdirectory(tests)
 endif()
 
+ki18n_install(po)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
+# add clang-format target for all our real source files
+if(KDEClangFormat_FOUND)
+    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+endif()
 
   find_package(KF5DocTools CONFIG)
   if(KF5DocTools_FOUND)
