=== doc/CMakeLists.txt ===
add_subdirectory( en )
