=== examples/CMakeLists.txt ===
add_subdirectory(555)
add_subdirectory(basic)
add_subdirectory(diodes)
add_subdirectory(jfets)
add_subdirectory(matrix_disp_driver)
add_subdirectory(mosfets)
add_subdirectory(transistors)
add_subdirectory(opamps)
