=== microbe/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
     KF5::I18n
 
     Qt5::Core
+    )
 
-    pthread)
-
-install(TARGETS microbe ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS microbe ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
