=== src/CMakeLists.txt ===
--- 
+++ 
@@ -85,14 +85,13 @@
     ./gui/contexthelp.cpp
     ./gui/oscilloscopeview.cpp
     ./gui/doublespinbox.cpp
-    ./gui/lineedit.cpp
     ./gui/inputdialog.cpp
     ./gui/microselectwidget.cpp
     ./gui/scopescreen.cpp
     ./gui/itemselector.cpp
     ./gui/scopescreenview.cpp
     ./gui/microsettingsdlg.cpp
-    ./gui/colorcombo.cpp
+    ./gui/colorutils.cpp
     ./gui/symbolviewer.cpp
     ./gui/oscilloscope.cpp
     ./gui/newfiledlg.cpp
@@ -157,7 +156,6 @@
     ./picitem.cpp
 #     ./core/main.cpp
     ./core/diagnosticstyle.cpp
-    ./core/logtofilemsghandler.cpp
     ./node.cpp
     ./documentiface.cpp
     ./docmanager.cpp
@@ -275,7 +273,6 @@
     ./variablelabel.cpp
     ./item.cpp
     ./itemdocumentdata.cpp
-    ./ktlqt3support/ktlfindqobjectchild.cpp
     ./ktlqt3support/ktlq3scrollview.cpp
     ./ktlqt3support/ktlq3polygonscanner.cpp
     ./ktlqt3support/ktlq3frame.cpp
@@ -300,7 +297,6 @@
     ./flowcodedocument.cpp
     ./libraryitem.cpp
     ./conrouter.cpp
-    ./recentfilesaction.cpp
     ./canvas.cpp
     ./canvasitems.cpp
     ./flowcontainer.cpp
@@ -320,6 +316,13 @@
     ./languages/flowcode.cpp
 )
 
+ecm_qt_declare_logging_category(ktechlab_SRCS
+    HEADER ktechlab_debug.h
+    IDENTIFIER KTL_LOG
+    CATEGORY_NAME org.kde.ktechlab
+    DEFAULT_SEVERITY Warning
+)
+
 set(ktechlab_DCOP_SKEL_SRCS
     docmanageriface.h
     viewiface.h
@@ -341,26 +344,30 @@
     #ktlqt3support
 	#mechanics electronics elements components languages drawparts
 	#itemeditor math
+    KF5::I18n
+    KF5::TextWidgets
     KF5::TextEditor
     KF5::Parts
+    KF5::Completion
     KF5::ConfigCore
     KF5::ConfigGui
+    KF5::ConfigWidgets
     KF5::CoreAddons
     KF5::IconThemes
     KF5::KIOCore
-    KF5::KHtml
     KF5::XmlGui
     KF5::WidgetsAddons
     KF5::WindowSystem
 
     Qt5::Widgets
     Qt5::PrintSupport
+    Qt5::SerialPort
 )
 if(GPSim_FOUND)
     target_link_libraries(ktechlab ${GPSim_LIBRARIES})
 endif()
 
-install(TARGETS ktechlab ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS ktechlab ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 
 # message(STATUS "include_dir begin")
@@ -379,17 +386,8 @@
 
 # for helping testing
 
-add_library(test_ktechlab STATIC ${ktechlab_SRCS})
-
-target_link_libraries(test_ktechlab
-    KF5::TextEditor
-    KF5::IconThemes
-    KF5::Parts
-    KF5::KHtml
-    KF5::WidgetsAddons
-    KF5::WindowSystem
-
-    Qt5::Widgets
-    Qt5::PrintSupport
-)
-
+if(BUILD_TESTING)
+
+    add_library(test_ktechlab STATIC ${ktechlab_SRCS})
+
+    target_link_libraries(test_ktechlab
