=== tests/CMakeLists.txt ===
add_subdirectory(loaded-icons)
add_subdirectory(tests_compile)
add_subdirectory(tests_app)
