=== examples/555/CMakeLists.txt ===
install(FILES
	internals.circuit
	square-wave.circuit
	DESTINATION ${KDE_INSTALL_DATADIR}/ktechlab/examples/555)
