=== examples/jfets/CMakeLists.txt ===
install(FILES
	inverter.circuit
	DESTINATION ${KDE_INSTALL_DATADIR}/ktechlab/examples/jfets)
