=== examples/matrix_disp_driver/CMakeLists.txt ===
install(FILES
	matrix_display.circuit
	DESTINATION ${KDE_INSTALL_DATADIR}/ktechlab/examples/matrix_disp_driver)
