=== examples/mosfets/CMakeLists.txt ===
install(FILES
	and.circuit
	inverter.circuit
	nand.circuit
	nor.circuit
	or.circuit
	DESTINATION ${KDE_INSTALL_DATADIR}/ktechlab/examples/mosfets)
