=== debian/changelog ===
ktechlab (0.51.0-3) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113089)
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Oct 2025 07:47:29 +0200

ktechlab (0.51.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:24:05 +0200

ktechlab (0.51.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update lintian override info format in d/ktechlab.lintian-overrides on line
    2.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.
  * Update the patches:
    - upstream_process-chain-keep-temporary-files-live-longer.patch: drop,
      backported from upstream
    - upstream_Fix-selecting-files-as-properties.patch: drop, backported from
      upstream
    - upstream_cmake-build-test_ktechlab-only-if-testing-is-enabled.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.14.0
    - bump gpsim-dev to 0.26
    - add libqt5serialport5-dev, libkf5completion-dev, libkf5configwidgets-dev
    - drop libkf5khtml-dev, and libkf5solid-dev
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Mar 2023 08:53:15 +0200
