=== debian/control ===
--- 
+++ 
@@ -7,27 +7,27 @@
                debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
                gettext,
-               pkg-config,
-               extra-cmake-modules,
+               pkgconf,
+               extra-cmake-modules (>= 5.14.0~),
                qtbase5-dev,
+               libqt5serialport5-dev,
+               libkf5completion-dev,
                libkf5config-dev,
+               libkf5configwidgets-dev,
                libkf5coreaddons-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
-               libkf5khtml-dev,
                libkf5kio-dev,
                libkf5parts-dev,
-               libkf5solid-dev,
                libkf5texteditor-dev,
                libkf5textwidgets-dev,
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                libglib2.0-dev,
-               gpsim-dev,
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+               gpsim-dev (>= 0.26~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/sdk/ktechlab
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktechlab.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktechlab
