=== debian/watch ===
version=4
https://download.kde.org/unstable/@PACKAGE@/@PACKAGE@-(.*)\.tar\.xz
