## ktechlab 0.51.0+p24.04+vstable+git20250914.1637

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20250914.1637-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:37:15 +0000
