## ktechlab 0.51.0+p24.04+vstable+git20250926.0939

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20250926.0939-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:39:20 +0000
