## ktechlab 0.51.0+p24.04+vstable+git20251017.0024

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20251017.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 00:24:11 +0000
