## ktechlab 0.51.0+p24.04+vstable+git20251019.0628

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20251019.0628-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:28:37 +0000
