## ktechlab 0.51.0+p24.04+vstable+git20251021.0238

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20251021.0238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:38:59 +0000
