=== debian/control ===
Source: ktechlab
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               gpsim-dev,
               kf6-extra-cmake-modules,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libglib2.0-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-serialport-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/ktechlab
Vcs-Git: https://invent.kde.org/neon/extras/ktechlab.git
Vcs-Browser: https://invent.kde.org/neon/extras/ktechlab
Maintainer: Neon CI <neon@kde.org>

Package: ktechlab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gputils, picprog, sdcc
Description: IDE for microcontrollers and electronics
 KTechLab is an IDE for microcontrollers and electronics.
 .
 It supports circuit simulation, program development for microcontrollers and
 simulating the programmed microcontroller together with its application
 circuit.
