## ktechlab 0.51.0+p24.04+vstable+git20260119.0110

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20260119.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 01:10:50 +0000
