## ktechlab 0.51.0+p24.04+vstable+git20260122.0507

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20260122.0507-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:07:51 +0000
