## ktechlab 0.51.0+p24.04+vstable+git20260130.1115

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vstable+git20260130.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:15:48 +0000
