## ktechlab 0.51.0+p24.04+vunstable+git20250926.0758

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20250926.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 07:58:26 +0000
