## ktechlab 0.51.0+p24.04+vunstable+git20251016.0025

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20251016.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:25:20 +0000
