## ktechlab 0.51.0+p24.04+vunstable+git20251021.0239

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20251021.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:40:01 +0000
