## ktechlab 0.51.0+p24.04+vunstable+git20251113.0758

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20251113.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 07:58:09 +0000
