## ktechlab 0.51.0+p24.04+vunstable+git20251123.1234

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20251123.1234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:34:46 +0000
