## ktechlab 0.51.0+p24.04+vunstable+git20260104.0329

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20260104.0329-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:29:48 +0000
