## ktechlab 0.51.0+p24.04+vunstable+git20260130.0742

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20260130.0742-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 07:42:41 +0000
