## ktechlab 0.51.0+p24.04+vunstable+git20260201.0819

=== debian/changelog ===
ktechlab (0.51.0+p24.04+vunstable+git20260201.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:19:52 +0000
